# Shipping Products Shipping Products ## Gets all of the shipping products in the system. - [GET /shippingProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-products/listshippingproducts.md): This method will scan all shipping products and and return them to the caller. ## Creates a new shipping product record that does not already exist. - [POST /shippingProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-products/createshippingproduct.md): This method will auto-generate an ID and create a new shipping product. If an ID is specified for the shipping product, an error will be thrown. ## Execute Batch Operations - [POST /shippingProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a shipping product from the system by its ID. - [DELETE /shippingProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-products/deleteshippingproduct.md): This method will delete a shipping product with the specified ID. ## Returns a shipping product from the system by its ID. - [GET /shippingProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-products/getshippingproduct.md): This method will look up a shipping product by the specified ID and return it back. ## Partially updates a shipping product with the specified ID. - [PATCH /shippingProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-products/patchshippingproduct.md): This method will patch an existing shipping product with the specified ID, using the HTTP PATCH specification. ## Updates a shipping product with the specified ID. - [PUT /shippingProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipping-products/updateshippingproduct.md): This method will update an existing shipping product with the specified ID.